searchData={"items":[{"type":"task","title":"mix monarch","doc":"The monarch mix task: `mix help monarch`","ref":"Mix.Tasks.Monarch.html"},{"type":"behaviour","title":"Monarch","doc":"Defines the Monarch behaviour.","ref":"Monarch.html"},{"type":"function","title":"Monarch.completed?/2","doc":"Returns `true` if the given worker has completed, `false` otherwise","ref":"Monarch.html#completed?/2"},{"type":"callback","title":"Monarch.query/0","doc":"A function which returns a list of records to be updated my a given job.\n\nCalled as a way of stepping through large datasets (i.e. given an `Ecto.Queryable.t()` with predicates which\nget invalidated as `update/1` is run.\n\nMonarch jobs are deemed successful and complete once `query/0` returns an empty list.","ref":"Monarch.html#c:query/0"},{"type":"function","title":"Monarch.run/2","doc":"Queues up all pending jobs waiting to be run that have the Monarch behaviour implemented.","ref":"Monarch.html#run/2"},{"type":"function","title":"Monarch.running?/2","doc":"Returns `true` if the given worker is currently running, `false` otherwise","ref":"Monarch.html#running?/2"},{"type":"callback","title":"Monarch.scheduled_at/0","doc":"The time the job should be scheduled to run at in the future in UTC.\n\nIf `scheduled_at` is in the past, the job will be scheduled as soon as possible the next time Monarch is run.\nIf `scheduled_at` is nil, Monarch won't automatically enqueue jobs, and they will need to be manually enqueued.","ref":"Monarch.html#c:scheduled_at/0"},{"type":"callback","title":"Monarch.skip/0","doc":"A function which returns whether or not the worker should skip the operation.\n\nFor example, this is useful when you want to run an Oban job on one environment but not another.","ref":"Monarch.html#c:skip/0"},{"type":"callback","title":"Monarch.transaction?/0","doc":"Controls whether or not the job will run in a transaction","ref":"Monarch.html#c:transaction?/0"},{"type":"callback","title":"Monarch.update/1","doc":"A function which takes the output of successive `query/1` calls and performs the given function\nagainst it.\n\nWhen used in tandem with `query/0`, allows stepping through large datasets (i.e. given an `Ecto.Queryable.t()` which\ninvalidates predicates defined in `query/0`)","ref":"Monarch.html#c:update/1"},{"type":"module","title":"Monarch.DataCase","doc":"Helper module to set up test cases.","ref":"Monarch.DataCase.html"},{"type":"module","title":"Monarch.Migrations","doc":"This defines the migration for creating the necessary table `monarch_jobs` to use the Monarch behaviour.","ref":"Monarch.Migrations.html"},{"type":"function","title":"Monarch.Migrations.down/1","doc":"","ref":"Monarch.Migrations.html#down/1"},{"type":"function","title":"Monarch.Migrations.up/1","doc":"","ref":"Monarch.Migrations.html#up/1"},{"type":"module","title":"Monarch.Repo","doc":"","ref":"Monarch.Repo.html"},{"type":"function","title":"Monarch.Repo.aggregate/3","doc":"","ref":"Monarch.Repo.html#aggregate/3"},{"type":"function","title":"Monarch.Repo.aggregate/4","doc":"","ref":"Monarch.Repo.html#aggregate/4"},{"type":"function","title":"Monarch.Repo.all/2","doc":"","ref":"Monarch.Repo.html#all/2"},{"type":"function","title":"Monarch.Repo.checked_out?/0","doc":"","ref":"Monarch.Repo.html#checked_out?/0"},{"type":"function","title":"Monarch.Repo.checkout/2","doc":"","ref":"Monarch.Repo.html#checkout/2"},{"type":"function","title":"Monarch.Repo.child_spec/1","doc":"","ref":"Monarch.Repo.html#child_spec/1"},{"type":"function","title":"Monarch.Repo.config/0","doc":"","ref":"Monarch.Repo.html#config/0"},{"type":"function","title":"Monarch.Repo.default_options/1","doc":"","ref":"Monarch.Repo.html#default_options/1"},{"type":"function","title":"Monarch.Repo.delete/2","doc":"","ref":"Monarch.Repo.html#delete/2"},{"type":"function","title":"Monarch.Repo.delete!/2","doc":"","ref":"Monarch.Repo.html#delete!/2"},{"type":"function","title":"Monarch.Repo.delete_all/2","doc":"","ref":"Monarch.Repo.html#delete_all/2"},{"type":"function","title":"Monarch.Repo.disconnect_all/2","doc":"A convenience function for SQL-based repositories that forces all connections in the\npool to disconnect within the given interval.\n\nSee `Ecto.Adapters.SQL.disconnect_all/3` for more information.","ref":"Monarch.Repo.html#disconnect_all/2"},{"type":"function","title":"Monarch.Repo.exists?/2","doc":"","ref":"Monarch.Repo.html#exists?/2"},{"type":"function","title":"Monarch.Repo.explain/3","doc":"A convenience function for SQL-based repositories that executes an EXPLAIN statement or similar\ndepending on the adapter to obtain statistics for the given query.\n\nSee `Ecto.Adapters.SQL.explain/4` for more information.","ref":"Monarch.Repo.html#explain/3"},{"type":"function","title":"Monarch.Repo.get/3","doc":"","ref":"Monarch.Repo.html#get/3"},{"type":"function","title":"Monarch.Repo.get!/3","doc":"","ref":"Monarch.Repo.html#get!/3"},{"type":"function","title":"Monarch.Repo.get_by/3","doc":"","ref":"Monarch.Repo.html#get_by/3"},{"type":"function","title":"Monarch.Repo.get_by!/3","doc":"","ref":"Monarch.Repo.html#get_by!/3"},{"type":"function","title":"Monarch.Repo.get_dynamic_repo/0","doc":"","ref":"Monarch.Repo.html#get_dynamic_repo/0"},{"type":"function","title":"Monarch.Repo.in_transaction?/0","doc":"","ref":"Monarch.Repo.html#in_transaction?/0"},{"type":"function","title":"Monarch.Repo.insert/2","doc":"","ref":"Monarch.Repo.html#insert/2"},{"type":"function","title":"Monarch.Repo.insert!/2","doc":"","ref":"Monarch.Repo.html#insert!/2"},{"type":"function","title":"Monarch.Repo.insert_all/3","doc":"","ref":"Monarch.Repo.html#insert_all/3"},{"type":"function","title":"Monarch.Repo.insert_or_update/2","doc":"","ref":"Monarch.Repo.html#insert_or_update/2"},{"type":"function","title":"Monarch.Repo.insert_or_update!/2","doc":"","ref":"Monarch.Repo.html#insert_or_update!/2"},{"type":"function","title":"Monarch.Repo.load/2","doc":"","ref":"Monarch.Repo.html#load/2"},{"type":"function","title":"Monarch.Repo.one/2","doc":"","ref":"Monarch.Repo.html#one/2"},{"type":"function","title":"Monarch.Repo.one!/2","doc":"","ref":"Monarch.Repo.html#one!/2"},{"type":"function","title":"Monarch.Repo.preload/3","doc":"","ref":"Monarch.Repo.html#preload/3"},{"type":"function","title":"Monarch.Repo.prepare_query/3","doc":"","ref":"Monarch.Repo.html#prepare_query/3"},{"type":"function","title":"Monarch.Repo.put_dynamic_repo/1","doc":"","ref":"Monarch.Repo.html#put_dynamic_repo/1"},{"type":"function","title":"Monarch.Repo.query/3","doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query/4` for more information.","ref":"Monarch.Repo.html#query/3"},{"type":"function","title":"Monarch.Repo.query!/3","doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query!/4` for more information.","ref":"Monarch.Repo.html#query!/3"},{"type":"function","title":"Monarch.Repo.query_many/3","doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many/4` for more information.","ref":"Monarch.Repo.html#query_many/3"},{"type":"function","title":"Monarch.Repo.query_many!/3","doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many!/4` for more information.","ref":"Monarch.Repo.html#query_many!/3"},{"type":"function","title":"Monarch.Repo.reload/2","doc":"","ref":"Monarch.Repo.html#reload/2"},{"type":"function","title":"Monarch.Repo.reload!/2","doc":"","ref":"Monarch.Repo.html#reload!/2"},{"type":"function","title":"Monarch.Repo.rollback/1","doc":"","ref":"Monarch.Repo.html#rollback/1"},{"type":"function","title":"Monarch.Repo.start_link/1","doc":"","ref":"Monarch.Repo.html#start_link/1"},{"type":"function","title":"Monarch.Repo.stop/1","doc":"","ref":"Monarch.Repo.html#stop/1"},{"type":"function","title":"Monarch.Repo.stream/2","doc":"","ref":"Monarch.Repo.html#stream/2"},{"type":"function","title":"Monarch.Repo.to_sql/2","doc":"A convenience function for SQL-based repositories that translates the given query to SQL.\n\nSee `Ecto.Adapters.SQL.to_sql/3` for more information.","ref":"Monarch.Repo.html#to_sql/2"},{"type":"function","title":"Monarch.Repo.transaction/2","doc":"","ref":"Monarch.Repo.html#transaction/2"},{"type":"function","title":"Monarch.Repo.update/2","doc":"","ref":"Monarch.Repo.html#update/2"},{"type":"function","title":"Monarch.Repo.update!/2","doc":"","ref":"Monarch.Repo.html#update!/2"},{"type":"function","title":"Monarch.Repo.update_all/3","doc":"","ref":"Monarch.Repo.html#update_all/3"},{"type":"module","title":"Monarch.Worker","doc":"Defines the Monarch Worker for running Oban jobs.","ref":"Monarch.Worker.html"},{"type":"module","title":"MonarchTestAlreadyCompletedJob","doc":"A module that implements a monarch job that should already be\ncompleted. This job will delete a record for\n`Elixir.MonarchTestAlreadyCompletedJob` if one exists.","ref":"MonarchTestAlreadyCompletedJob.html"},{"type":"module","title":"MonarchTestDeleteFakeJob","doc":"A module that implements a monarch job that will delete a record for\n`Elixir.AFakeJob` if one exists.","ref":"MonarchTestDeleteFakeJob.html"},{"type":"module","title":"MonarchTestEmptyJob","doc":"A module that implements a monarch job that returns no records to update.","ref":"MonarchTestEmptyJob.html"},{"type":"module","title":"MonarchTestManualJob","doc":"A module that implements a monarch job that should be manually run and should\nnot automatically enqueue an Oban job.","ref":"MonarchTestManualJob.html"},{"type":"module","title":"MonarchTestScheduledFutureJob","doc":"A module that implements a monarch job that should be scheduled at the end of the day.","ref":"MonarchTestScheduledFutureJob.html"},{"type":"module","title":"MonarchTestScheduledPastJob","doc":"A module that implements a monarch job that should be scheduled at the beginning of the day.","ref":"MonarchTestScheduledPastJob.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}